Subject: [sipcore] draft-barnes-sip-rfc4244bis-02: Supported: histinfo

From: "Dale Worley" <[email-masked]>
Date: Sun, 19 Jul 2009 15:55:00 -0400

There's another element that I do not understand in
draft-barnes-sip-rfc4244bis (that is also copied from RFC 4244):  The
use of the 'histinfo' option-tag.  Whereas RFC 3261 makes it clear that
option-tags are to be used to test whether elements support extensions,
in RFC 4244, histinfo is used (like so many option-tags) to request
activation of optional processing.  In the case of History-Info, there
are no interoperation problems if an element adds History-Info but
another element does not understand it.  This means that there is no
need to have an option-tag whose absence suppresses adding History-Info.

In this case we can start to normalize the situation by allowing
elements to add History-Info to requests/responses that do not contain
"Supported: histinfo".

Dale